Eventum Code Contributions
==========================

The Eventum project welcomes all contributions under a GPL license.

## Reporting issues

Bugs should be reported to [issue tracker](https://github.com/eventum/eventum/issues).

Before opening [new issue](https://github.com/eventum/eventum/issues/new), first check that the bug is not already fixed by testing with master branch, then check that your problem is not already reported, by looking at [open issues](https://github.com/eventum/eventum/issues?state=open) in github and [open issues](https://bugs.launchpad.net/eventum/+bugs?orderby=-id&field.status:list=NEW&field.status:list=CONFIRMED&field.status:list=TRIAGED&field.status:list=INPROGRESS&assignee_option=any&field.tags_combinator=ANY&field.omit_dupes=on) in [legacy issue tracker](https://bugs.launchpad.net/eventum).

## Pull requests

- Fork it.
- Create your feature branch (`git checkout -b fixing-blah`), please avoid working directly on the `master` branch.
- Check for unnecessary whitespace with `git diff --check` before committing.
- Commit your changes (`git commit -am 'Fixed blah'`).
- Push to the branch (`git push origin fixing-blah`).
- Create a new pull request.

Do not update changelog or attempt to change version, the changes may not be merged on codebase you created patch for and it will just create annoying merge conflicts later.
